Bug 184782 - java/openjdk7 with debug option results in "Undefined symbol "libiconv_open"
Summary: java/openjdk7 with debug option results in "Undefined symbol "libiconv_open"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-15 17:40 UTC by John Schneider
Modified: 2014-03-05 21:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Schneider 2013-12-15 17:40:00 UTC
When trying to run newest version of openjdk7 java with debugging option, such as with Glassfish or Tomcat, the error "/usr/local/openjdk7/jre/lib/amd64/libnpt.so: Undefined symbol "libiconv_open" is thrown.

This problem is similar to ports/184204, however there is a workaround for that PR.  No workaround has yet been found for enabling debugging with openjdk7.

How-To-Repeat: Install Glassfish and try to start with: "bin/asadmin start-domain --debug=true"
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-12-15 18:21:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Fix synopsis and assign.
Comment 2 Tijl Coosemans freebsd_committer 2014-03-04 08:56:53 UTC
Hi,

Please try the patch at http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186956
Comment 3 dfilter service freebsd_committer 2014-03-05 20:59:58 UTC
Author: tijl
Date: Wed Mar  5 20:59:50 2014
New Revision: 347142
URL: http://svnweb.freebsd.org/changeset/ports/347142
QAT: https://qat.redports.org/buildarchive/r347142/

Log:
  - Include bsd.port.pre.mk before testing if ICONV_LIB is empty.  It is
    always empty without this. [1]
  - Add -DLIBICONV_PLUG to CFLAGS to enforce the use of libc iconv even when
    libiconv is installed. [2]
  
  PR:		ports/184204 [1], ports/184782 [1], ports/186956 [2]
  Approved by:	glewis (maintainer)

Modified:
  head/java/openjdk7/Makefile

Modified: head/java/openjdk7/Makefile
==============================================================================
--- head/java/openjdk7/Makefile	Wed Mar  5 20:31:02 2014	(r347141)
+++ head/java/openjdk7/Makefile	Wed Mar  5 20:59:50 2014	(r347142)
@@ -3,7 +3,7 @@
 
 PORTNAME=	openjdk
 PORTVERSION=	${JDK_MAJOR_VERSION}.${PORT_MINOR_VERSION}.${PORT_BUILD_NUMBER}
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	java devel
 MASTER_SITES=	http://download.java.net/openjdk/jdk${JDK_MAJOR_VERSION}u${JDK_MINOR_VERSION}/promoted/b${JDK_BUILD_NUMBER}/ \
@@ -138,6 +138,12 @@ PATCH_DEPENDS+=	gpatch:${PORTSDIR}/devel
 PATCH=		gpatch
 .endif
 
+.include <bsd.port.pre.mk>
+
+.if empty(ICONV_LIB)
+MAKE_ENV+=	EXTRA_CFLAGS=-DLIBICONV_PLUG
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} "s|%%LOCALBASE%%|${LOCALBASE}|" \
 		${WRKSRC}/hotspot/src/os/bsd/vm/os_bsd.cpp
@@ -180,4 +186,4 @@ post-install:
 	# Register the VM
 	"${LOCALBASE}/bin/registervm" "${INSTALLDIR}/bin/java # OpenJDK${JDK_MAJOR_VERSION}"
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Tijl Coosemans freebsd_committer 2014-03-05 21:01:11 UTC
State Changed
From-To: open->closed

Fixed in r347142.